<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/12/2011 *
 * ===================                          Last change: 08/12/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_network_api.php                      *
 * -------------------------------------------------------------------- *
 * Short description : API configuration for advertising networks       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : API-Konfiguration zu den Werbenetzwerke          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// By default we should display list/add new forms
$GLOBALS['network_display'] = TRUE;

// Handle form here
doNetworkHandleForm();

// Display forms?
if ($GLOBALS['network_display'] === FALSE) {
	// Abort here
	return;
} // END - if

// Is there a network selected?
if (isGetRequestElementSet('network_id')) {
	// Check all networks that doesn't have a configuration entry
	$result = sqlQueryEscaped('SELECT
	`network_id`,
	`network_short_name`,
	`network_title`,
	`network_reflink`,
	`network_query_amount`,
	`network_active`,
	NULL AS `network_api_affiliate_id`,
	NULL AS `network_api_password`,
	NULL AS `network_api_site_id`,
	NULL AS `network_api_active`,
	NULL AS `network_api_referral_link`,
	NULL AS `network_api_referral_button`,
	NULL AS `network_api_remaining_requests`,
	NULL AS `network_api_visual_pay_check`
FROM
	`{?_MYSQL_PREFIX?}_network_data`
WHERE
	`network_id`=%s
LIMIT 1',
		array(
			bigintval(getRequestElement('network_id'))
		), __FILE__, __LINE__);

	// Is there an entry?
	if (sqlNumRows($result) == 1) {
		// Load data
		$content = sqlFetchArray($result);

		// Is the network active?
		if (($content['network_active'] == 'N') && (!isAdminsExpertWarningEnabled()) && (!isDebugModeEnabled())) {
			// Not active
			displayMessage('{--ADMIN_NETWORK_NOT_ACTIVE--}');
			return;
		} // END - if

		// Query for config table
		$result_config = sqlQueryEscaped('SELECT
	`network_api_affiliate_id`,
	`network_api_password`,
	`network_api_site_id`,
	`network_api_active`,
	`network_api_referral_link`,
	`network_api_referral_button`,
	`network_api_remaining_requests`,
	`network_api_visual_pay_check`
FROM
	`{?_MYSQL_PREFIX?}_network_api_config`
WHERE
	`network_id`=%s
LIMIT 1',
			array(
				bigintval(getRequestElement('network_id'))
			), __FUNCTION__, __LINE__);

		// Is there an entry?
		if (sqlNumRows($result_config) == 1) {
			// Load entries
			$content = merge_array($content, sqlFetchArray($result_config));
		} // END - if

		// Free result
		sqlFreeResult($result_config);

		// Load main template (for "add" and "edit")
		loadTemplate('admin_config_network_api', FALSE, $content);
	} else {
		// Please setup some networks first
		displayMessage('{--ADMIN_NETWORK_DATA_MISSING--}');
	}

	// Free result
	sqlFreeResult($result);
} else {
	// Generate network list for this script
	$OUT = generateAdminNetworkList(TRUE);

	// Is it not empty?
	if (!empty($OUT)) {
		// Output it
		outputHtml($OUT);
	} // END - if
}

// [EOF]
?>
