<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/31/2008 *
 * ===================                          Last change: 08/31/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_surfbar_urls.php                       *
 * -------------------------------------------------------------------- *
 * Short description : List all URLs in surfbar and sync from mail pool *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle URLs in Surfbar auflisten und syncen        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// By default show the list...
$show = TRUE;

// Check for 'url_id' element
if ((countRequestPost() > 0) && (!ifPostContainsSelections('url_id'))) {
	// Not found so output message
	displayMessage('{--ADMIN_SURFBAR_NO_SELECTIONS--}');

	// Abort here
	return;
} // END - if

// Edit or delete button hit?
if (isFormSent('edit')) {
	// Show entries for editing
	doGenericXmlTemplateCallback('admin_edit_show_surfbar_urls');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_edit')) {
	// Change data of entries
	doGenericXmlTemplateCallback('admin_edit_do_surfbar_urls');
} elseif (isFormSent('delete')) {
	// Show entries for deletion
	doGenericXmlTemplateCallback('admin_delete_show_surfbar_urls');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_delete')) {
	// Remove entries from database
	doGenericXmlTemplateCallback('admin_delete_do_surfbar_urls');
} elseif (isFormSent('lock')) {
	// Un-/lock selected URLs. This does not work for pending URLs
	doGenericXmlTemplateCallback('admin_lock_show_surfbar_urls');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_lock')) {
	// Un-/lock selected URLs. This does not work for pending URLs
	doGenericXmlTemplateCallback('admin_lock_do_surfbar_urls');
} elseif (isFormSent('undelete')) {
	// Undelete selected URLs. This does only work for deleted URLs... ;-)
	doGenericXmlTemplateCallback('admin_undelete_show_surfbar_urls');

	// Do not show the list of URLs after this template
	$show = FALSE;
} elseif (isFormSent('do_undelete')) {
	// Undelete selected URLs. This does only work for deleted URLs... ;-)
	doGenericXmlTemplateCallback('admin_undelete_do_surfbar_urls');
}

// Show entries?
if ($show === FALSE) {
	// No, a form has already been show
	return FALSE;
} // END - if

// List all URLs
doGenericXmlTemplateCallback('admin_list_surfbar_urls');

// [EOF]
?>
