<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/19/2003 *
 * ===================                          Last change: 06/30/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-categories.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Select or unselect categories                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Kategorien ab- bzw. anwaehlen                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

$whereStatement = " WHERE `visible`='Y'";
if (isAdmin()) $whereStatement = '';

// Get all categories
$result = sqlQuery('SELECT
	`id`,
	`cat`
FROM
	`{?_MYSQL_PREFIX?}_cats`
' . $whereStatement . '
ORDER BY
	`sort` ASC', __FILE__, __LINE__);

// Are there entries?
if (!ifSqlHasZeroNumRows($result)) {
	$LEAST = FALSE;
	if (isFormSent()) {
		$count = '0';
		foreach (postRequestElement('cat') as $categoryId => $joined) {
			if ($joined != 'Y') $count++;
		} // END - foreach

		if ((sqlNumRows($result) - $count) < getLeastCats()) {
			unsetPostRequestElement('ok');
			$LEAST = TRUE;
		} // END - if
	} // END - if

	// Is the form sent?
	if (isFormSent()) {
		// Start counting all
		$count = '0';

		// Ini SQLs here
		initSqls();

		// Go through all entries
		foreach (postRequestElement('cat') as $categoryId => $joined) {
			// Has the user joined on this category?
			switch ($joined) {
				case 'Y':
					// Check if this category has an entry
					if (countSumTotalData(getMemberId(), 'user_cats', 'id', 'userid', TRUE, sprintf(' AND `cat_id`=%s', bigintval($categoryId))) == 0) {
						// No, so add it
						addSql(sprintf('INSERT INTO `{?_MYSQL_PREFIX?}_user_cats` (`userid`, `cat_id`) VALUES (%s,%s)', getMemberId(), bigintval($categoryId)));
					} // END - if
					break;

				case 'N':
					addSql(sprintf('DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_cats` WHERE `userid`=%s AND `cat_id`=%s LIMIT 1', getMemberId(), bigintval($categoryId)));
					break;
			} // END - switch
		} // END - foreach

		// Are there entries?
		if (countSqls() > 0) {
			// Run SQL commands
			$count = runFilterChain('run_sqls');
		} // END - if

		// Categories saved?
		if ($count > 0) {
			// Output message
			displayMessage('{--MEMBER_CATEGORIES_SAVED--}');
		} else {
			// None save
			displayMessage('{--MEMBER_CATEGORIES_NOT_SAVED--}');
		}
	} else {
		if ($LEAST === TRUE) {
			// Also here we have to secure it... :(
			displayMessage('{--CHOOSE_MORE_CATEGORIES--}');
		} // END - if

		// Load all categories of this member
		$OUT = '';
		while ($content = sqlFetchArray($result)) {
			// Default he has not joined, add color switch
			$content['jn'] = ' checked="checked"';
			$content['jy'] = '';

			// When we found an entry don't read it, just change the jx elements
			if ((isFormSent()) && (isPostRequestElementSet('cat'))) {
				// Form sent?
				if (postRequestElement('cat', $content['id']) =='Y') {
					$content['jy'] = ' checked="checked"';
					$content['jn'] = '';
				} // END - if
			} else {
				// Check if he has an entry
				if (countSumTotalData(getMemberId(), 'user_cats', 'id', 'userid', TRUE, sprintf(' AND `cat_id`=%s', bigintval($content['id']))) == 1) {
					$content['jn'] = '';
					$content['jy'] = ' checked="checked"';
				} // END - if
			}

			// Load row template
			$OUT .= loadTemplate('member_cats_row', TRUE, $content);
		} // END - while

		// Free result
		sqlFreeResult($result);

		// Load footer template
		loadTemplate('member_cats', FALSE, $OUT);
	}
} else {
	// No cateogries are defined yet
	displayMessage('{--MEMBER_NO_CATEGORIES--}');
}

// Free result
sqlFreeResult($result);

// [EOF]
?>
